package fmon

import scalafx.scene.Scene

import scalafx.Includes._
import scalafx.scene.Node
import scalafx.scene.Parent
import scalafx.stage.Stage

import fmon.world.ui.GameView

object GameManager {
  var currLevel: Parent = _
  var currController: GameView = _
  
  var currView: Parent = _
  
  var root: Stage = _
  
  def setView(view: Parent): Unit = {
    currController.timer.stop()
    currView = view
    root.scene().root = view
  }
  
  def restoreMap(): Unit = {
    currView = currLevel
    root.scene().root = currView
    currController.timer.start()
  }
}